Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia
Class Blob

    java.lang.Object
      play.modules.morphia.Blob

    public class Blob

extends java.lang.Object

Constructor Summary
`Blob()`
`Blob(java.io.File inputFile, java.lang.String type)`
`Blob(java.io.InputStream is, java.lang.String type)`
`Blob(java.lang.String id)`

Method Summary
`void` | `delete()`
`static void` | `delete(java.lang.String name)`
`boolean` | `exists()`
`static GridFSDBFile` | `findFile(java.lang.String name)`
`java.io.InputStream` | `get()`
`GridFSDBFile` | `getGridFSFile()`
`long` | `length()`
`void` | `set(java.io.File file, java.lang.String type)`
`void` | `set(java.io.InputStream is, java.lang.String type)`
`java.lang.String` | `toString()`
`java.lang.String` | `type()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Blob

    public Blob()

### Blob

    public Blob(java.io.InputStream is,
                java.lang.String type)

### Blob

    public Blob(java.io.File inputFile,
                java.lang.String type)

### Blob

    public Blob(java.lang.String id)

Method Detail

### delete

    public void delete()

### findFile

    public static GridFSDBFile findFile(java.lang.String name)

### get

    public java.io.InputStream get()

### set

    public void set(java.io.File file,
                    java.lang.String type)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### set

    public void set(java.io.InputStream is,
                    java.lang.String type)

### length

    public long length()

### type

    public java.lang.String type()

### exists

    public boolean exists()

### delete

    public static void delete(java.lang.String name)

### getGridFSFile

    public GridFSDBFile getGridFSFile()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD